microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a skill
DELETE
/skills/{name}
Removes the specified skill and its associated versions.
Pfadparameter
name
string
Erforderlich
The unique name of the skill.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Antworten
The request has succeeded.
Text
Content-Type: application/json
id
string
Erforderlich
The unique identifier of the deleted skill.
name
string
Erforderlich
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
Erforderlich
Whether the skill was successfully deleted.
Anfordern
DELETE /skills/{name} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json